Subject: Re: bug#23529: Request for fixing randomize_va_space build issues

From: Philipp Stephani <[email-masked]>
Date: Tue, 06 Sep 2016 09:22:52 +0000

Paul Eggert <[email-masked]> schrieb am Fr., 20. Mai 2016 um 19:54 Uhr:

> On 05/18/2016 01:44 AM, Philippe Vaucher wrote:
> > About the dumping procedure, do you mean there*is*  a
> > plan to alter it after Emacs 25 comes out?
>
> Although we have no specific plan, it's on my list of things to do. I
> took a stab at it a while ago but was not happy with the way my draft
> was headed. I will see if I can do better next time.
>
>
>
Did you (or somebody else) by chance started working on this? I think
removing unexec should have highest priority once 25 is out; its
assumptions become increasingly less valid on modern systems (ASLR,
seccomp-bpf, ASan, containers...).